Page MenuHomePhabricator

Decommission mw1180-1200
Closed, ResolvedPublic

Description

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - replace with role::spare::system

START NON-INTERRUPPTABLE STEPS

END NON-INTERRUPPTABLE STEPS

  • - system disks wiped (by onsite)
  • - system unracked and decommissioned (by onsite), update racktables with result
  • - switch port configration removed from switch once system is unracked.
  • - mgmt dns entries removed.

Related Objects

Event Timeline

Joe triaged this task as Normal priority.Jan 2 2018, 9:36 AM
Joe created this task.
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptJan 2 2018, 9:36 AM

Mentioned in SAL (#wikimedia-operations) [2018-01-02T09:37:13Z] <_joe_> setting appservers in the mw1180-1200 range to pooled=inactive, T183895

Mentioned in SAL (#wikimedia-operations) [2018-01-02T09:44:07Z] <_joe_> setting api_appservers in the mw1180-1200 range to pooled=inactive, T183895

Joe updated the task description. (Show Details)Jan 2 2018, 10:03 AM

Change 401479 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] appservers: move mw1180-1188 to role::spare::system

https://gerrit.wikimedia.org/r/401479

Change 401482 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] api: move mw1189-1200 to role::spare::system

https://gerrit.wikimedia.org/r/401482

Cmjohnson moved this task from Backlog to Up next on the ops-eqiad board.Jan 2 2018, 4:08 PM
Joe moved this task from Backlog to Doing on the User-Joe board.Jan 3 2018, 10:08 AM

Change 401479 merged by Giuseppe Lavagetto:
[operations/puppet@production] appservers: move mw1180-1188 to role::spare::system

https://gerrit.wikimedia.org/r/401479

Change 401482 merged by Giuseppe Lavagetto:
[operations/puppet@production] api: move mw1189-1200 to role::spare::system

https://gerrit.wikimedia.org/r/401482

Joe raised the priority of this task from Normal to High.Jan 3 2018, 2:55 PM
Joe updated the task description. (Show Details)
Joe removed a project: Patch-For-Review.

@Cmjohnson whenever you're able to complete the decommission of these systems, we will have room in row C for the remaining new appservers.

Joe lowered the priority of this task from High to Normal.Jan 3 2018, 3:03 PM
Joe updated the task description. (Show Details)
Joe updated the task description. (Show Details)
RobH added a subscriber: RobH.Jan 8 2018, 5:31 PM

Change 403197 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/puppet@production] Removing mw1180-1200 from site.pp for decom

https://gerrit.wikimedia.org/r/403197

Change 403197 merged by Cmjohnson:
[operations/puppet@production] Removing mw1180-1200 from site.pp for decom

https://gerrit.wikimedia.org/r/403197

Change 403209 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/puppet@production] Removing dhcp file entries mw1180-1200

https://gerrit.wikimedia.org/r/403209

Change 403209 merged by Cmjohnson:
[operations/puppet@production] Removing dhcp file entries mw1180-1200

https://gerrit.wikimedia.org/r/403209

Change 403239 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] Reoving dns entries for mw1180-1200

https://gerrit.wikimedia.org/r/403239

Change 403239 merged by Cmjohnson:
[operations/dns@master] Reoving dns entries for mw1180-1200

https://gerrit.wikimedia.org/r/403239

Cmjohnson updated the task description. (Show Details)Jan 10 2018, 3:55 PM
Cmjohnson updated the task description. (Show Details)Jan 11 2018, 6:13 PM

removed from rack and racktables updated.

Cmjohnson closed this task as Resolved.Jan 11 2018, 6:14 PM
Cmjohnson claimed this task.